QGIS Application - Bug report #10059
Vector grid tool creates output with false CRS
2014-04-12 11:58 PM - Andre Joost

Status: Closed

Priority: Normal

Assignee:

Category: Processing/QGIS

Affected QGIS version:2.2.0 Regression?:

Operating System: Windows Easy fix?:

Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 18537
Description

How to reproduce:

1. Load a shapefile in WGS84

2. Set project CRS to the local UTM zone

3. Vector -> Research tools -> Vector grid

4. Set extent from layer (but coordinates are in project CRS!)
5. Save and add to canvas

The grid shape file has coordinates and extent in project CRS (UTM), but CRS of the selected layer (WGS84). This makes little sense.

Either the programm should raise an error message that layer and project CRS differ, or the grid layer CRS should be set to project CRS.

Associated revisions

Revision 3b70b844 - 2016-01-20 02:38 PM - Alexander Bruy

[fTools] warn if layer and project CRS are different (fix #10059)

History

#1 - 2014-06-28 07:45 AM - Jiirgen Fischer

- Target version changed from Version 2.4 to Future Release - High Priority

#2 - 2016-01-20 05:38 AM - Alexander Bruy

- Status changed from Open to Closed

Fixed in changeset commit:"3b70b8446542a92a0670f1975e81b52d53e0c4c6".

#3 - 2017-05-01 01:21 AM - Giovanni Manghi

The "ftools" category is being removed from the tracker, changing the category of this ticket to "Processing/QGIS" to not leave the category orphaned.
